Architectures/BuildIssues

From FedoraProject

Jump to: navigation, search

Packages with known build issues

These package have known issues during build in rawhide, but they are expected to be solved in the foreseeable future. They are now listed in the temporary "ignorelist" in koji-shadow.

An overstrike means package is built in Rawhide in primary koji and commited or also built in primary F-15.

  • syncevolution - fails on s390 because size_t != unsigned int there, reported as https://bugs.meego.com/show_bug.cgi?id=13201
  • (s390) stage - depends on
    • player - dependency on FireWire pkgs is removed in rawhide in dist-git, now waits on opencv FTBFS due gcc 4.6
  • (s390) meego-panel-* - depends on
  • shotwell - not compatible with vala 0.11, was built with vala 0.10 in primary koji
  • (s390) lush - FPU HW control code not compatible with non-x86 (patch exists) + overflow during relocation
  • (s390, ppc) clanbomber - depends on
    • (s390, ppc) ClanLib06 - tolua++ crashes with segfault on 32-bit in the lua interpreter (*pc is set to 0x11, dereferencing fails)
  • (s390, ppc) suricata - can't find pcre headers during configure run => -march=native was used in compiler flags
  • (s390) mozc - segfault during build, looks like the code is not big-endian safe (some suspicious pointers in traceback) - converter/sparse_connector.cc is one candidate for unsafe type conversions
  • (s390) protobuf - missing protobuf-java subpackage blocks a lot of other stuff
  • (s390, ppc) ykpers - a test failing on assertions (expecting char is signed, expecting little endian order)
  • (s390) root - not ported to s390(x) - an uncomplete patch exists
  • (s390) myproxy - stuck in running tests
  • (ppc) python - python-debug segfaults during build
  • (ppc) openbabel - build fails with lots of 'operand out of range' errors
  • (ppc) gtksourceview2 - (patches inserted to BZ) reported as a missing linker flag, but there's more to it. blocking many other packages
  • (s390, ppc) redis - google-perftools doesn't exist on all arches - google-perftools-1.7-2.fc15 (in git only) should build for ix86, x86_64 and ppc
  • (all) java-gnome - must be built with same java-1.6.0-openjdk version as in primary koji
  • (s390) pure - tests are failing
  • (s390) openfst - wrong target ordering in make, the required target (libfstfar.la) is not built before it's used
  • (s390) gridengine - architecture not supported
  • (s390) gmp-ecm
  • (s390) opencc - segfault of freshly built tool during build, blocks
    • (s390) ibus-pinyin
    • (s390) fcitx
      • (s390) kcm-fcitx
  • (s390, ppc) openni needs to have ExclusiveArch: %{x86}
    • (s390, ppc) openni-primesense needs to have ExclusiveArch: %{x86}
    • (s390) pcl - openni is optional dependency, so was made x86-exclusive
  • (s390, ppc) FIXED UPSTREAM! waiting for tcpdump-4.2 tcpdump -v -v test fails due to incorrect check sum on big-endian machines
  • (s390) gcl - fails during build
  • (s390, ppc) perl-Bio-SamTools - failing test during 64-bit build
  • (s390, ppc, ...) - xulrunner - xulrunner >= 5.0 now requires the IPC for plugin isolation and this code is not ported to non-x86 arches (maybe it works on arm ...)
  • (s390, ppc) - clutter-gst - the internal libtool doesn't work, use "dolt" on all arches, requires clutter >= 1.6.16
  • (s390, ppc) clucene - failing test(s) - 32-bit only?
  • (s390) ffcall - missing support for s390x
    • (s390) clisp
  • (s390) bigloo - hangs up during a build, blocks
    • (s390) scheme2js
    • (s390) hop
  • (s390) mapserver - depends on some Java packages
  • (s390) libchamplain - FTBFS (rebuilt without Vala support) and blocks
    • (s390) empathy
  • (s390) libguestfs - blocks
    • (s390) guestfs-browser
  • (ppc) kexec-tools-2.0.2 Build fails on ppc arch due to multiple definition of __lshrdi3
  • (s390) busybox - depends on
    • (s390) uClibc - not ported to s390(x)
  • (s390) kmymoney - depends on
    • (s390) koffice - FTBFS bug 736659
  • (s390) grilo, grilo-plugins - version 0.1.16 is not compatible with vala 0.13, grilo 0.1.17 is already built in primary
  • (s390) synapse - FTBFS - incompatible with recent vala
  • (s390) perl-PDL-Graphics-PLplot - segfault in test on s390x
  • (ppc, s390) - digikam - FTBFS on big-endians for versions >= 2.0.0, fixed in upstream git
  • (s390) gauche* - probably an outdated copy of the gc library is used
  • (s390) gambas3 - some files can't be found (s390x only)
  • (s390) libreoffice - just too big to duplicate all builds, blocks
    • gloobus-preview
    • openoffice.org-voikko
    • openoffice.org-diafilter
    • writer2latex
    • libreoffice-voikko
    • openoffice.org-ooolatex
    • ooo2gd
    • perl-OpenOffice-UNO
  • (s390) rubygem-thin - test fails on s390x
  • (s390) avant-window-navigator - not compatible with recent vala, blocks
    • (s390) awn-extras-applets
  • (s390) qt-mobility - qdoc3 gets into an endless loop during build - fixed by qt-4.8.0-0.12.20111002.fc16
  • (s390) eclipse* - has not been bootstrapped yet, blocks
    • (s390) tuxguitar
  • (s390, ppc) perl-Socket-Netlink - failing test, likely a big-endian issue
  • (s390) python-zmq - failing test
    • (s390) python-logbook
  • (s390, ppc) nntpgrab - FTBFS
  • (s390) ldc - failure during build - arch not recognized by ldc or something like that
    • (s390) dustmite
    • (s390) derelict
    • (s390) tango
    • (s390) gtkd
    • (s390) avgtime
  • (s390) gstreamer-java - failing test
  • (s390) prover9 - failing test
  • (all) cyrus-imapd - carries prebuilt copy of libdb-utils (i386, x86_64), the reason is file conflicts between db4-utils and libdb-utils, both are being installed when cyrus-imapd is installed
  • (s390, ppc) tabled - failing test
  • (s390) meego-panel-datetime - desktop file not found
  • (s390) wormux - size_t in c++
  • (s390) widelands - size_t in c++
  • (s390) iaxclient - memory barriers implementation missing
  • (all) gwget - FTBFS
  • (all) natus - FTBFS - not compatible with recent xulrunner
  • (s390, ppc) coan - failing test
  • (s390) meshlab - issue during linking
  • (s390) ceph - ICE in gcc 4.6.2 - bug 753734
  • (s390) haveged - missing implementation of read timestamp (simple fix)
  • (s390) openmpi - s390 arch specific code is missing, solution for dependent packages is to conditionalize MPI subpackages
    • (s390) espresso
    • (s390) pypar
    • (s390) towhee
    • (s390) scalapack (via blacs-openmpi-devel)
      • (s390) R-RScaLAPACK
    • (s390) orsa
    • (s390) cp2k
  • (s390, ppc) veusz - failed test
  • (ppc) patchelf - failed test, s390 is OK since 0.6
  • (s390) poco - OOM on s390?
    • (s390) spectrum
  • (s390) gluegen - build-ppc patch was cloned for s390(x)
    • (s390) jogl
      • (s390) scilab - also requires ocaml
  • (s390) Pixie - missing atomic primitives
  • (s390) phasex - hardcoded -m32 in compiler flags
  • (s390) gccxml - failing tests
  • (s390, ppc) perl-Glib-Object-Introspection - failing test - endianity issue?, blocks
    • (s390) perl-Gtk3
  • (s390) stp - depends on valgrind, don't know yet how strict the dependency is
  • (s390) pcl - fails to build
  • (s390) bochs - FTBFS on big endians, fixed in 2.5.1+
  • (s390) mysql - ICE in gcc bug 773565
  • (s390) perl-smartmatch-engine-core - failing test on 64-bit
  • (s390) phasex - passes -m32 to compiler
  • (s390) tomahawk - probably s390 implementation of crash-handler missing, could be disabled?
  • (s390) meataxe - FTBFS
  • (s390) llvm - can't even run the test-suite and it shouldn't be required by any package
    • (s390) hfsplus-tools
    • (s390) OpenGTL
  • (s390) sdljava - swig issue during build, blocks
    • (s390) bolzplatz2006
  • (s390, ppc) polarssl - rsa_pkcs1_encrypt test fails on big endians - upstream bug 54
  • (s390) varnish - test failure
  • (s390) rubygem-ferret - s390(x) support is missing in POSH library
  • (s390) dietlibc - test failures
    • (s390) dhcp-forwarder
    • (s390) ip-sentinel
  • (s390) nqp - dyncall library not ported to s390(x)
    • (s390) rakudo-star
  • (s390,...) megaglest - FTBFS
  • (s390,...) texstudio - FTBFS
  • (s390) lttng-ust - gcc ICE
    • (s390) lttng-tools

Misc issues

  • (ppc, s390) perl-XML-LibXML - t/12html.t test fails with out of memory on s390x and ppc64 (64-bit only) - bug 769537
  • (ppc, s390) hdf5 - crash in test with glibc backtrace on s390x and ppc64, the failing test (tstlite) was disabled until 1.8.8 via a patch